stub reply

Tue, 02 May 2023 17:34:25 -0500

author
Meredith Howard <mhoward@roomag.org>
date
Tue, 02 May 2023 17:34:25 -0500
changeset 1108
8f5cf4eb7f66
parent 1107
c6d7ac40bd3c
child 1109
71d10acde172

stub reply

.lib/stubs/reply file | annotate | diff | comparison | revisions
bin/setup-cpan-faves file | annotate | diff | comparison | revisions
new file mode 100755
--- /dev/null
+++ b/.lib/stubs/reply
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -eu
+
+install_it() {
+  cpm install -g \
+    Reply \
+    experimentals \
+    B::Keywords \
+    Carp::Always \
+    Class::Refresh \
+    Data::Printer \
+    Data::Printer::Filter::JSON \
+    Data::Printer::Filter::URI \
+    Path::Tiny \
+    Pry \
+    Term::ReadLine::Gnu
+
+  asdf reshim perl || :
+}
+
+. ~/.lib/sh/stubexec.sh
--- a/bin/setup-cpan-faves
+++ b/bin/setup-cpan-faves
@@ -10,16 +10,6 @@ dists=(
 
   experimentals
 
-  Reply
-  Data::Printer
-  Data::Printer::Filter::JSON
-  Data::Printer::Filter::URI
-  Carp::Always
-  B::Keywords
-  Term::ReadLine::Gnu
-  Class::Refresh
-  Pry
-
   Path::Tiny
   Getopt::Long::Descriptive
 )

mercurial